#include"SOCK_Dgram_Mcast.h"

int RACE_SOCK_Dgram_MCast::subscribe(const ACE_INET_Addr &mcast_addr)
{
  struct ip_mreqn mreq;
  mreq.imr_multiaddr.s_addr = htonl (mcast_addr.get_ip_address ());
  mreq.imr_address.s_addr=INADDR_ANY;
  mreq.imr_ifindex=0;

  return setsockopt(this->get_handle(),IPPROTO_IP, IP_ADD_MEMBERSHIP,&mreq,sizeof(mreq));
}

int RACE_SOCK_Dgram_MCast::unsubscribe(const ACE_INET_Addr &mcast_addr)
{
  struct ip_mreqn mreq;
  mreq.imr_multiaddr.s_addr = htonl (mcast_addr.get_ip_address ());
  mreq.imr_address.s_addr=INADDR_ANY;
  mreq.imr_ifindex=0;

  return setsockopt(this->get_handle(),IPPROTO_IP, IP_DROP_MEMBERSHIP,&mreq,sizeof(mreq));
}
