#include"NMEA0183_Connector.h"

NMEA0183_Connector::NMEA0183_Connector():ACE_DEV_Connector()
{
}

#if 0
NMEA0183_Connector::NMEA0183_Connector (ACE_TTY_IO &new_io,
				      const ACE_DEV_Addr &remote_sap,
				      ACE_Time_Value *timeout,
				      const ACE_Addr &local_sap,
				      int reuse_addr,
				      int flags,
				      int perms)
{
  ACE_TRACE ("NMEA0183_Connector::NMEA0183_Connector");
  if (this->connect (new_io, remote_sap, timeout, local_sap,
		     reuse_addr, flags, perms) == ACE_IO_SAP::INVALID_HANDLE
      && timeout != 0 && !(errno == EWOULDBLOCK || errno == ETIME))
    ACE_ERROR ((LM_ERROR, ACE_LIB_TEXT ("address %s, %p\n"),
	            remote_sap.get_path_name (), ACE_LIB_TEXT ("ACE_TTY_IO")));
}
#endif

int NMEA0183_Connector::connect (ACE_TTY_IO &new_io,
               const ACE_DEV_Addr &remote_sap,
               ACE_Time_Value *timeout,
               const ACE_Addr &local_sap,
               int reuse_addr,
               int flags,
               int perms)
{
    ACE_TTY_IO::Serial_Params params;
    if(ACE_DEV_Connector::connect(new_io,remote_sap,timeout,local_sap,
				  reuse_addr,flags,perms)<0)
    {
	return -1;
	
    }
    int r;
    //r=new_io.control(ACE_TTY_IO::GETPARAMS,&params);
    //if(r<0) return -1; Currently not impemented !!!!
    // after http://www.kh-gps.de/nmea-faq.htm
    params.baudrate=4800;
    params.parityenb = 0;  // No parity !
    params.paritymode = "NONE";
    params.databits = 8;
    params.stopbits = 1;
    params.rcvenb = 1; // CREAD - enable Reading
    params.ctsenb=1;   // CRTSCTS Hardware Flow Control Shall???
    r=new_io.control(ACE_TTY_IO::SETPARAMS,&params);
    return 0;
}
