#ifndef NMEA0183_SEMANTIK_PRINTOUT_H
#define NMEA0183_SEMANTIK_PRINTOUT_H
#include"NMEA0183_Semantik.h"


class NMEA0183_Semantik_Printout : public NMEA0183_Semantik
{
 public:
    NMEA0183_Semantik_Printout(bool verbose=false);
    virtual const char *name();
    //##Documentation
    //## calls first Unkown and then the orginal 
    virtual void common(NMEA0183_Message_Block *mb);
    virtual void UnknownMessage(NMEA0183_Message_Block *mb);
    virtual void GeographicPosition(GeographicPositionData *gp);
    virtual void VectorSpeed(VectorSpeedData *vs);
    virtual void RMC(NMEA0183_RMC *rmc);
    virtual void GLL(NMEA0183_GLL *gll);
    virtual void GGA(NMEA0183_GGA *gga);
    virtual void VTG(NMEA0183_VTG *vtg);

    virtual void GSA(NMEA0183_GSA *gsa);
    virtual void GSV(NMEA0183_GSV *gsv);
 private:
    bool verbose_;
};
#endif
