#include"NumFieldParsing.h"

unsigned long NumFieldParsing::getLong(const char *str,size_t len,size_t& consumed)
{
    unsigned long ret=0;
    consumed=0;
    const char *p=str;
    while(p<str+len && '0' <= *p && *p<= '9')
    {
	ret=ret*10+(*p-'0');
	consumed++;
	p++;
    }
    return ret;
}

double NumFieldParsing::getFixPoint(const char *str,size_t len)
{
    double ret=0.0;
    size_t consumed1=0;
    ret=(double)getLong(str,len,consumed1);
    if(consumed1+1<len && str[consumed1]=='.')
    {
	size_t consumed2=0;
	long afterpoint = getLong(str+consumed1+1,len-1-consumed1,consumed2);
	double quotient=1.0;
	for(size_t i=0;i<consumed2;i++)
	{
	    quotient*=10.0;
	}
	ret=ret+(double)afterpoint/quotient;
    }
    return ret;
}
