// -*- C++ -*- -----------------------------------------------------
//  ----------------------------------------------------------------
//  --
//  -- Project            : SQ2000
//  -- SCU                : INTAPP
//  -- Subunit/Task       : INTAPP_NAV_GPS_Proxy
//  -- File               : $RCSfile: SimpleBuffer.h,v $
//  --
//  -- Simple Buffer for transmission of character
//  ----------------------------------------------------------------
//  ----------------------------------------------------------------
//  --   Initial Author       : Rudolf Weber ICS AG
//  --   Last changed by      : $Author: e000593d_intapp $
//  --   Date of last changes : $Date: 2005/04/18 13:46:54 $
//  --   reserved by          : $Locker:  $
//  --   State                : $State: Exp $
//  --
//  --====History=================================================
//  -- $Log: SimpleBuffer.h,v $
//  -- Revision 1.1  2005/04/18 13:46:54  e000593d_intapp
//  -- Build in NMEA0183_Message_Assembler feeding a Buffer for a periodic Consumer-Thread
//  --
//  --
#ifndef SIMPLE_BUFFER_H
#define SIMPLE_BUFFER_H
#include<ace/Synch.h> // old but I know
//##Documentation
//## Simple Buffer for transmission of character
class SimpleBuffer
{
 public:
    SimpleBuffer();
    void set(char *str,int len);
    void get(char *str,int &len,int maxlen);
 private:
    char m_buffer[4096];
    int  m_len;
    ACE_Thread_Mutex m_mutex;
};
#endif
