// -*- C++ -*- -----------------------------------------------------
//  ----------------------------------------------------------------
//  --
//  -- Project            : SQ2000
//  -- SCU                : INTAPP
//  -- Subunit/Task       : INTAPP_NAV_GPS_Proxy
//  -- File               : $RCSfile: SimpleProcessor.h,v $
//  --
//  -- Simple Processor wich fills a Simplebuffer
//  ----------------------------------------------------------------
//  ----------------------------------------------------------------
//  --   Initial Author       : Rudolf Weber ICS AG
//  --   Last changed by      : $Author: e000593d_intapp $
//  --   Date of last changes : $Date: 2005/04/18 13:46:54 $
//  --   reserved by          : $Locker:  $
//  --   State                : $State: Exp $
//  --
//  --====History=================================================
//  -- $Log: SimpleProcessor.h,v $
//  -- Revision 1.1  2005/04/18 13:46:54  e000593d_intapp
//  -- Build in NMEA0183_Message_Assembler feeding a Buffer for a periodic Consumer-Thread
//  --
//  --
#ifndef SIMPLE_PROCESSOR_H
#define SIMPLE_PROCESSOR_H
#include"RACE_Message_Assembler.h"
#include"SimpleBuffer.h"

class SimpleProcessor : public RACE::Message_Observer
{
public:
    SimpleProcessor(SimpleBuffer *sb);
    virtual void process(RACE_Message_Block *mb);
 private:
    SimpleBuffer *m_sb;
};
#endif
