#include"NavigationUnits.h"
#include"NumFieldParsing.h"
#include<iostream>

Angle_inDeg parsedeg(const char *astr)
{
    Angle_inDeg ret;
    size_t i=0;
    size_t consumed=0;
    while(astr[i] != '\0' && astr[i]!='.')
    {
        i++;
    }
    ret.deg=(double)NumFieldParsing::getLong(astr,i-2,consumed);
    ret.min=NumFieldParsing::getFixPoint(astr+i-2,strlen(astr)-(i-2));
    return ret;
}

int main(int argc,char **argv)
{
    const char *w = "945.67";
    if(argc>1) w=argv[1];
    Angle_inDeg aid = parsedeg(w);
    std::cerr << aid.deg << '' << aid.min << '\'' << std::endl;
    std::cout << NavigationUnits::deg2rad(aid) << std::endl;
}
