#ifndef ETHERDUMPABLE_H
#define ETHERDUMPABLE_H
#include<net/ethernet.h> // From System - alternativ from tcpdump
#include"PCapDumpable.h"
#include <netinet/in.h>
class EtherDumpable : public PCapDumpable
{
public:
     static PCapDumpable *factory(HeaderDumpable *header,RACE_Data_Block *db,RACE_LogfileOffset lo);
     EtherDumpable(HeaderDumpable *header,RACE_Data_Block *db,bool frag,RACE_LogfileOffset lo);
     u_int16_t getType()       { return ntohs(getHeader()->ether_type); }
     size_t getAddrLen()       { return ETHER_ADDR_LEN; }
     u_int8_t *getSrcAddr()    { return  getHeader()->ether_shost; }
     u_int8_t *getDstAddr()    { return  getHeader()->ether_dhost; }
     
     virtual void printheader(std::ostream& str);
     virtual void CallVisitor(RACE_MessageVisitor *visitor);
protected:
     struct ether_header *getHeader() { return (struct ether_header *)databegin(); }
};
#endif
