#include"RACE_SemanticFactory.h"
#include"pcapinterpreter.h"
#include"PCS_EtherAnalyser.h"

class DummyDumpableVisitor : public RACE_MessageVisitor
{
public:
  virtual const char *name();
};
const char *DummyDumpableVisitor::name()
{
  return "DummyDumpableVisitor";
}


void RACE_Semantik_Factory::init(int& argc,char **&argv)
{
 
}

RACE::Interpreter *RACE_Semantik_Factory::interpreter()
{
  return (interpreter_ ? interpreter_ : interpreter_=new PcapInterpreter());
}
                                                                                
RACE_MessageVisitor *RACE_Semantik_Factory::iterationsemantic()
{
  return (iterationsemantic_ ?
          iterationsemantic_
          : iterationsemantic_= new PCS_EtherAnalyser());
}

RACE_MessageVisitor *RACE_Semantik_Factory::snapshotsemantic()
{
  return (snapshotsemantic_ ?
          snapshotsemantic_
          : snapshotsemantic_= new DummyDumpableVisitor());
}

