#include<iostream>
#include"numberinterp.h"

int main()
{
    char puffer[] = { 0,0,01,02,03 };
    u_int32_t l,ls;
    u_int16_t s,ss;
    numberinterp nip(false);
    numberinterp nips(true);
    std::cout << "long: " << std::hex << nip.getuint32(puffer+1)
	      << " - " << nips.getuint32(puffer+1) 
	      << std::endl;
    std::cout << "short: " << std::hex << nip.getuint16(puffer+3)
	      << " - " << nips.getuint16(puffer+3) 
	      << std::endl;

    l=nip.getuint32(puffer+1);
    ls=nips.getuint32((char *)&l);
    if(l!=nips.getuint32((char *)&ls))
    {
	std::cerr << "long test failed" << std::endl;
	exit(1);
    }
    s=nip.getuint16(puffer+1);
    ss=nips.getuint16((char *)&s);
    if(s!=nips.getuint16((char *)&ss))
    {
	std::cerr << "long test failed" << std::endl;
	exit(1);
    }
    return 0;
}
