#ifndef RACE_DGRAM_MCAST_H
#define RACE_DGRAM_MCAST_H
/* other Implementation for ACE_SOCK_Dgram_Mcast */
#include<ace/INET_Addr.h>
#include<ace/SOCK_Dgram.h>


class RACE_SOCK_Dgram_MCast : public ACE_SOCK_Dgram
{
public:
  RACE_SOCK_Dgram_MCast(const ACE_INET_Addr &local,
                  int protocol_family = PF_INET,
                  int protocol = 0,
                  int reuse_addr = 0)
    :ACE_SOCK_Dgram(local,protocol_family,reuse_addr)
    {
    }
  int subscribe(const ACE_INET_Addr &mcast_addr);
  int unsubscribe(const ACE_INET_Addr &mcast_addr);
};
#endif
