#include"Railway_Message_Block.h"

const char *Railway_Message_Block::NID_MESSAGE2str(NID_MESSAGE_t nid)
{
    switch(nid)
    {
	case 0 : return "JRU STATE"; 
	case 1 : return "GENERAL MESSAGE"; 
	case 2 : return "DATA ENTRY COMPLETED"; 
	case 3 : return "EMERGENCY BRAKE STATE"; 
	case 4 : return "SERVICE BRAKE STATE"; 
	case 5 : return "EVENTS"; 
	case 6 : return "MESSAGE FROM BALISE"; 
	case 7 : return "MESSAGE FROM EUROLOOP "; 
	case 8 : return "MESSAGE FROM RADIO INFILL UNIT"; 
	case 9 : return "MESSAGE FROM RBC"; 
	case 10 : return "MESSAGE TO RBC"; 
	case 11 : return "DRIVER'S ACTION"; 
	case 12 : return "BALISE GROUP ERROR"; 
	case 13 : return "STM INFORMATION"; 
	case 14 : return "PREDEFINED TEXT MESSAGE"; 
	case 15 : return "PLAIN TEXT MESSAGE"; 
	case 151 : return "STATE ACK"; 
	case 152 : return "JRU FAILURE"; 
	default: return "Unkown";
    }
}

Railway_Message_Block::Railway_Message_Block(size_t len)
    :RACE_Message_Block(len),bitgrabber_(*firstblock()),offset_(0)
{
   
}

size_t
Railway_Message_Block::getL_MESSAGE()
{
    return (size_t)bitgrabber_.getbits(8,10);
}
