#include<ace/Date_Time.h>
#include"Consumer.h"

Consumer::Consumer(ACE_Time_Value period,SimpleBuffer *sb)
    :RACE::Periodic_Work(period)
{
    m_transferbuffer=sb;
    
}



int Consumer::do_work(const ACE_Time_Value& current_time)
{
    ACE_Date_Time datetime(current_time);
    int hlen=snprintf(m_buffer,80,"\nConsumer: %02ld:%02ld:%02ld consume ",
		      datetime.hour(),
		      datetime.minute(),
		      datetime.second()
	             );
    m_transferbuffer->get(m_buffer+hlen,len,4096-hlen);
    ACE_OS::write(1,m_buffer,len+hlen);
    return 0;
}


