// default semantik for NMEA0183
#include<ace/streams.h>
#include"NMEA0183_Semantik.h"
#include"NMEA0183_Message_Block.h"
#include"NMEA0183_RMC.h"
#include"NMEA0183_GLL.h"
#include"NMEA0183_VTG.h"
#include"NMEA0183_GGA.h"
#include<ace/Date_Time.h>

//##ModelId=428354D502CC
const char *
NMEA0183_Semantik::name()
{
    return "NMEA0183";
}

void
NMEA0183_Semantik::common(NMEA0183_Message_Block *nmb)
{
    GeographicPositionData *gpd = dynamic_cast<GeographicPositionData *>(nmb);
    if(gpd!=0)
    {
	GeographicPosition(gpd);
    }
    VectorSpeedData *vsd=dynamic_cast<VectorSpeedData *>(nmb);
    if(vsd!=0)
    {
	VectorSpeed(vsd);
    }
}

