#include"SimpleBuffer.h"
#include<string.h>
SimpleBuffer::SimpleBuffer():m_len(0)
{
}

void SimpleBuffer::set(char *str,int len)
{
    ACE_GUARD(ACE_Thread_Mutex,guard,m_mutex);
    m_len=(len <4096 ? len : 4096);
    memcpy(m_buffer,str,m_len);
}

void SimpleBuffer::get(char *str,int &len,int maxlen)
{
    ACE_GUARD(ACE_Thread_Mutex,guard,m_mutex);
    len=(m_len < maxlen ? m_len : maxlen);
    memcpy(str,m_buffer,len);
}
