#include"NMEA0183_GLL.h"
#include"NMEA0183_Semantik_Printout.h"
#include<math.h>
#include<iostream>

double deg2rad(double deg)
{
    return deg*M_PI/180.0;
}

int main()
{
    NMEA0183_Semantik *sem=new NMEA0183_Semantik_Printout();
    Angle_inDeg latitude(48,23.4874);
    Angle_inDeg longitude(9,58.3573);
    ACE_Time_Value timeoffix = ACE_OS::gettimeofday();
    NMEA0183_GLL *gll = new NMEA0183_GLL(latitude,'N',
					 longitude,'E',
					 timeoffix);
    std::cout.write(gll->rd_ptr(),gll->length());
    std::cout.flush();
    gll->parse();
    
    std::cout << "Latitude " << latitude.deg << '' << latitude.min
	      << '\t'
	      << "Longitude " << longitude.deg << '' << longitude.min
	      << std::endl;
    gll->CallVisitor(sem);
}
