#ifndef IPv4MESSAGE_H
#define IPv4MESSAGE_H
#include"StackMessage.h"
#include<netinet/ip.h>

class IPv4Message : public StackMessage
{
public:
    IPv4Message(RACE_Message_Block *lowerproto);
    //convenience-Functions
    size_t getHeaderLen() { return (size_t)(getHeader()->ip_hl); }
    size_t getTotalLen()  { return (size_t)(getHeader()->ip_len); }
    struct in_addr getSrcNO() { return getHeader()->ip_src; }
    struct in_addr getDstNO() { return getHeader()->ip_dst; }
protected:
    struct ip *getHeader() { return (struct ip *)layerbase(); }
};
#endif
