#ifndef PCAPDUMPABLE_H
#define PCAPDUMPABLE_H
#include<RACE_Dumpable.h>
#include<binarylayout.h>
#include<numberinterp.h>
#include<RAMS/elementartypes.h>
#include<HeaderDumpable.h>
#include<ostream>
class PCapDumpable : public RACE_Dumpable
{
public:
    static PCapDumpable *factory(HeaderDumpable *header,RACE_Data_Block *db,RACE_LogfileOffset lo);
    PCapDumpable(HeaderDumpable *header,RACE_Data_Block *db,bool frag,RACE_LogfileOffset lo);
    static size_t PCapDumpable::determinelength(u_int32_t& len,u_int32_t &caplen,octet_t *content,HeaderDumpable *header);
    u_int32_t origpaketlen() { return datalen_; }
    u_int32_t caplen() { return caplen_; }
    ACE_Time_Value getTime();
    char *databegin() { return base()+header_->getPkHeaderSize(); }
    virtual void CallVisitor(RACE_MessageVisitor *visitor);
    virtual void printheader(std::ostream& str);
private:
    HeaderDumpable *header_;
    u_int32_t datalen_;
    u_int32_t caplen_;
};

inline std::ostream& operator<<(std::ostream& str,PCapDumpable& pcapd)
{
   pcapd.printheader(str);
   return str;
}
#endif
