#ifndef STACKMESSAGE_H
#define STACKMESSAGE_H
#include<RACE/RACE_Message_Block.h>

 
class StackMessage : public RACE_Message_Block
{
public:
    //##Documentation
    //## Protocol lowerproto is a message of the underlaying protocol.
    //## The Datablocks in the message will be cloned
    //## The read-Pointer has to point at the beginning of the data of 
    //## this protokoll.
    StackMessage(RACE_Message_Block *lowerproto);
    virtual ~StackMessage();
    RACE_Message_Block *down() { return lower_; }
protected:
    char *layerbase() { return layerbase_; }
private:
    RACE_Message_Block *lower_;
    char *layerbase_;
};
#endif
